import { PageContainer, ProTable } from '@ant-design/pro-components';
import { useRef, useState } from 'react';
import { useNavigate } from 'react-router-dom';
import { queryTable } from '@/utils/request';

const RegulationList = (props) => {
const actionRef = useRef();
const navigate = useNavigate();

const columns = [
    {
      title: 'id',
      dataIndex: 'id',
    },
    {
      title: '标题',
      dataIndex: 'title',
    },

    {
      title: '内容',
      dataIndex: 'content',
    },

    {
      title: '发布人',
      dataIndex: 'faburen',
    },
    {
      title: '发布时间',
      dataIndex: 'fabutime',
    },
  ];

  return (
    <PageContainer>
      <ProTable
        search={false}
        actionRef={actionRef}
        rowKey="id"
        // request={queryTable(getBannerList)}
        columns={columns}
      />
    </PageContainer>
  );
}

export default RegulationList;