import React from 'react';
import { Row, Col } from 'antd';
import icon from '@/assets/images/statistic/人员统计.png';
import StatisCard from './StatisCard';
import Edu from './Edu';
import Age from './Age';


export default (props) => {
  return (
    <StatisCard
      title="人员统计"
      icon={icon}
    >
      <Row>
        <Col span={12}>
          <Edu />
        </Col>
        <Col span={12}>
          <Age />
        </Col>
      </Row>
    </StatisCard>
  )
}
